package com.rf.kjb.chat.dao.repository;


import com.rf.kjb.base.repository.BaseRepository;
import com.rf.kjb.chat.dao.domain.ChatAnswerEntity;

import java.util.List;

public interface ChatAnswerRepository extends BaseRepository<ChatAnswerEntity,String> {
    List<ChatAnswerEntity> findByQuestionNo(String questionNo);

    List<ChatAnswerEntity> findByQuestionNoAndLabel(String questionNo, String label);

    void deleteByLabel(String label);
}
