package com.rf.kjb.chat.service;


import com.rf.kjb.chat.dao.domain.ChatAnswerEntity;

import java.util.List;

public interface ChatAnswerService {
    List<ChatAnswerEntity> findByQuestionNo(String questionNo);

    List<ChatAnswerEntity> findByQuestionNoAndLabel(String questionNo, String label);
    void deleteByLabel(String label);

    void saveBatch(List<ChatAnswerEntity> chatAnswerEntityList);
}
