package com.rf.kjb.excel;

import org.apache.poi.xssf.usermodel.XSSFCellStyle;

/**
 * @author zzf
 * @description:excel导出类
 * @date 2021/1/27 9:23
 */

public class ExcelBean {
    /**
     * 列头（标题）名
     */
    public String headTextName;
    /**
     * 对应字段名
     */
    public String propertyName;
    /**
     * 合并单元格数
     */
    public Integer cols;
    public XSSFCellStyle cellStyle;

    public ExcelBean() {
    }

    public ExcelBean(String headTextName, String propertyName) {
        this.headTextName = headTextName;
        this.propertyName = propertyName;
    }

    public ExcelBean(String headTextName, String propertyName, Integer cols) {
        super();
        this.headTextName = headTextName;
        this.propertyName = propertyName;
        this.cols = cols;
    }

    public String getHeadTextName() {
        return headTextName;
    }

    public void setHeadTextName(String headTextName) {
        this.headTextName = headTextName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public Integer getCols() {
        return cols;
    }

    public void setCols(Integer cols) {
        this.cols = cols;
    }

    public XSSFCellStyle getCellStyle() {
        return cellStyle;
    }

    public void setCellStyle(XSSFCellStyle cellStyle) {
        this.cellStyle = cellStyle;
    }
}
