package com.rf.kjb.exception;

import com.rf.kjb.base.rest.BaseController;
import com.rf.kjb.utils.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author:zzf
 * @Date:2022/7/25:11:47
 * @Description:
 */
@RestControllerAdvice
@Slf4j
public class KJBExceptionHandler extends BaseController {

    public Result kjbExceptionHandler(HttpServletRequest req,KJBException e){
        log.error("响应码{},响应消息{}",e.errorCode.errorCode,e.errorCode.errorMsg);
        return fail(e.errorCode);
    }

}
