package com.rf.kjb.intelligentDialogue.service;

import com.rf.kjb.intelligentDialogue.dao.domain.IntelligentDialogueEntity;
import org.springframework.data.domain.Page;

import java.util.List;

public interface IntelligentDialogueService {
    void save(IntelligentDialogueEntity intelligentDialogue);

    Page<IntelligentDialogueEntity> find(String identifier, int pageNum, int pageSize);

    List<IntelligentDialogueEntity> findByIdentifier(String identifier);

    List<IntelligentDialogueEntity> findAllIdentifier();

    Page<IntelligentDialogueEntity> getIntelligentDialogueEntityByIdentifier(String identifier, int pageNum, int pageSize);
}
