package com.rf.kjb.scale.service;


import com.rf.kjb.scale.dao.model.CategoryEntry;
import java.util.List;

/**
 * @author zsy
 * @description:量表类别信息管理
 * @date 2021/6/17 15:55
 */
public interface CategoryService {

    /**
     * 保存
     *
     * @param categoryEntity
     */
    void save(CategoryEntry categoryEntity);

    /**
     * 名称查询
     * @param name
     * @return
     */
    List<CategoryEntry> getCategoryByName(CategoryEntry categoryEntry);

    /**
     * 查询所有类别
     * @return
     */
    List<CategoryEntry> findAll();

}
