package com.rf.kjb.scale.service;




import com.rf.kjb.scale.dao.model.CategorySubjectEntity;

import java.util.List;

/**
 * @author zsy
 * @description:量表-类别关联信息管理
 * @date 2021/6/17 15:55
 */
public interface CategorySubjectService {

    /**
     * 保存
     * @param categorySubjectEntity
     */
    void save(CategorySubjectEntity categorySubjectEntity);

    List<CategorySubjectEntity> findByFlag(String flag);

    void deleteCategorySubjectByFlag(String flag);


    /**
     * 分类英文名查询分类下的所有flag
     * @param typeName
     * @return
     */
    List<CategorySubjectEntity> findByEname(String typeName);
}
