package com.rf.kjb.scale.service;

import com.alibaba.fastjson.JSONObject;
import com.rf.kjb.scale.dao.model.RecordPhyEntry;
import org.springframework.data.domain.Page;

import java.util.List;

public interface RecordPhyService {
    void save(RecordPhyEntry recordPhyEntry);

    Page<RecordPhyEntry> find(JSONObject jsonObject);

    List<String> findIdentifiers(JSONObject jsonObject);

    int findIdentifiersCount(JSONObject jsonObject);

    RecordPhyEntry findById(String id);

    List<RecordPhyEntry> find(List<String> recordingIds, String flag);

    List<RecordPhyEntry> findAll(JSONObject jsonObject);

    List<RecordPhyEntry> findByType(String type);

    void deleteByIdentifier(String identifier);
}
