package com.rf.kjb.scale.service.impl;

import com.rf.kjb.scale.dao.model.ScaleConfigEntry;
import com.rf.kjb.scale.dao.repository.ScaleConfigRepository;
import com.rf.kjb.scale.service.ScaleConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * @author lpf
 * @description:
 * @date 2022/5/28 16:29
 */
@Service
public class ScaleConfigServiceImpl implements ScaleConfigService {

    @Autowired
    private ScaleConfigRepository scaleConfigRepository;


    @Override
    public ScaleConfigEntry findScaleConfigByFlag(String flag) {
        return this.scaleConfigRepository.findByFlag(flag);
    }

}
