package com.rf.kjb.scale.service.impl;

import com.rf.kjb.scale.dao.model.ScaleMarksEntity;
import com.rf.kjb.scale.dao.repository.ScaleMarksRepository;
import com.rf.kjb.scale.service.ScaleMarksService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * @author zzf
 * @description:
 * @date 2021/5/14 10:51
 */
@Service
@Slf4j
public class ScaleMarksServiceImpl implements ScaleMarksService {
    @Autowired
    private ScaleMarksRepository scaleMarksRepository;

    /**
     * 根据flag获取全部评分规则
     *
     * @param flag
     */
    @Override
    public List<ScaleMarksEntity> getScaleMarksByFlag(String flag) {
        //List<ScaleMarksEntity> scaleMarksByFlag = this.scaleMarksRepository.getScaleMarksByFlag(flag);
        //for (ScaleMarksEntity scaleMarksEntity : scaleMarksByFlag) {
        //    scaleMarksEntity.decrypt();
        //}
        return this.scaleMarksRepository.getScaleMarksByFlag(flag);
    }


    @Override
    public List<ScaleMarksEntity> findAll() {
        //List<ScaleMarksEntity> all = this.scaleMarksRepository.findAll();
        //for (ScaleMarksEntity scaleMarksEntity : all) {
        //    scaleMarksEntity.decrypt();
        //}
        return this.scaleMarksRepository.findAll();
    }


}
