package com.rf.kjb.utils;

/**
 * @author zzf
 * @description:
 * @date 2021/1/18 19:37
 */
/**
 * 状态码
 */
public interface HttpStatus {
    /**
     * 返回成功
     */
    String SUCCESS = "200";

    /**
     * 运行时返回异常未查询到相应对象时返回或对象已存在时
     */
    String RUNTIME_EXCEPTION = "2001";

    /**
     * 服务器内部错误
     */
    String SERVER_EXCEPTION = "500100";

    /**
     * 输入参数为空
     */
    String PARAMETER_ISNULL = "500101";

    /**
     * 用户不存在
     */
    String USER_NOT_FOUND = "6001";
}