package com.rf.kjb.chat.dao.repository;


import com.rf.kjb.base.repository.BaseRepository;
import com.rf.kjb.chat.dao.domain.ChatQuestionEntity;
import com.rf.kjb.chat.dao.domain.ChatQuestionId;

public interface ChatQuestionRepository extends BaseRepository<ChatQuestionEntity, ChatQuestionId> {
    ChatQuestionEntity findByIdAndLabel(String id, String label);

    void deleteByLabel(String label);
}
