package com.rf.kjb.chat.service.impl;

import com.rf.kjb.chat.dao.domain.ChatQuestionEntity;
import com.rf.kjb.chat.dao.repository.ChatQuestionRepository;
import com.rf.kjb.chat.service.ChatQuestionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author:zzf
 * @Date:2022/10/21:01:04
 * @Description:
 */
@Service
public class ChatQuestionServiceImpl implements ChatQuestionService {

    @Autowired
    private ChatQuestionRepository questionRepository;
//    @Override
//    public ChatQuestionEntity findById(String id) {
//        return this.questionRepository.findById(id).orElse(null);
//    }

    @Override
    public ChatQuestionEntity findByIdAndLabel(String id, String label) {
        return this.questionRepository.findByIdAndLabel(id,label);
    }

    @Override
    public void deleteByLabel(String label) {
        this.questionRepository.deleteByLabel(label);
    }

    @Override
    public void saveBatch(List<ChatQuestionEntity> chatQuestionEntityList) {
        this.questionRepository.saveAll(chatQuestionEntityList);
    }
}
