package com.rf.kjb.scale.dao.repository;


import com.rf.kjb.base.repository.BaseRepository;
import com.rf.kjb.scale.dao.model.RecordPhyEntry;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @author zsy
 * @date 2021/6/17 15:55
 */
public interface UserRecordPhyRepository extends BaseRepository<RecordPhyEntry, String> {

    @Query(value = "select id,test_date,test_result,type from t_user_record_phy where test_date = :testDate ", nativeQuery = true)
    List<RecordPhyEntry> getuserRecordByTestDate(@Param("testDate") String testDate);

}
