package com.rf.kjb.scale.service.impl;

import com.rf.kjb.scale.dao.model.ScaleEntry;
import com.rf.kjb.scale.dao.repository.ScaleRepository;
import com.rf.kjb.scale.service.ScaleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zzf
 * @description:
 * @date 2021/5/14 10:51
 */
@Service
public class ScaleServiceImpl implements ScaleService {

    @Autowired
    private ScaleRepository scaleRepository;


    /**
     * 全量查询
     *
     * @return
     */
    @Override
    public List<ScaleEntry> findAll() {
        return  this.scaleRepository.findAll();
    }


    /**
     * 根据flag查询检测列表
     *
     * @param flag
     * @return
     */
    @Override
    public List<ScaleEntry> getScaleByFlag(String flag) {
        return this.scaleRepository.getScaleByFlag(flag);
    }

}
